找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

查看: 621|回复: 0

[VBA程序]:创建和插入“块”的纯ActiveX/VBA 代码

[复制链接]

已领礼包: 145个

财富等级: 日进斗金

发表于 2002-9-27 18:16:33 | 显示全部楼层 |阅读模式

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有账号?立即注册

×
How to create/insert a block using pure ActiveX/VBA code  
ID    47502  
Applies to:    AutoCAD 2000
  
This document is part of    Block Reference   COM-ActiveX Interfaces   VBA     


Question
How should I use the AutoCAD ActiveX Automation API to create a block and insert
it into model space?
Answer
The sequence of the block creation process in ActiveX is to add an AcadBlock
object to the AcadBlocks collection, then you add an AcadCircle, such as to the
AcadBlock. Note that you can add as many objects as you like to the AcadBlock.
When done, call InsertBlock() method to insert it into a particular space, such
as model space.  The following example illustrates this:

  1. [FONT=courier new]
  2. Sub createInsertBlock()

  3.    Dim blk As AcadBlock
  4.    Dim pt(0 To 2) As Double
  5.    Dim cir As AcadCircle
  6.    Dim ctr(0 To 2) As Double
  7.    Const blkName = "test"
  8.    
  9.    Set blk = ThisDrawing.Blocks.Add(pt, blkName)
  10.    ctr(0) = 2: ctr(1) = 2
  11.    
  12.    Set cir = blk.AddCircle(ctr, 1.5)
  13.    
  14.    ThisDrawing.ModelSpace.InsertBlock pt, blkName, 1, 1, 1, 0
  15. End Sub[/FONT]
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|申请友链|Archiver|手机版|小黑屋|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )

GMT+8, 2024-12-21 06:41 , Processed in 0.369441 second(s), 32 queries , Gzip On.

Powered by Discuz! X3.5

© 2001-2024 Discuz! Team.

快速回复 返回顶部 返回列表